Question Server hosting

Discussion in 'General Help' started by Big_guy9, Feb 11, 2017.

Thread Status:
Not open for further replies.
  1. Offline

    Big_guy9

    I have my server with craftbukkit but when i try to start my server it says
    Code:
    Loading libraries, please wait...
    
    [18:45:07 INFO]: Starting minecraft server version 1.9
    
    [18:45:07 INFO]: Loading properties
    
    [18:45:07 INFO]: Default game type: SURVIVAL
    
    [18:45:07 ERROR]: Encountered an unexpected exception
    
    java.net.UnknownHostException: 192.168.2.3.
    
    at java.net.Inet6AddressImpl.lookupAllHostAddr(Native Method) ~[?:1.6.0_65]
    
    at java.net.InetAddress$1.lookupAllHostAddr(InetAddress.java:883) ~[?:1.6.0_65]
    
    at java.net.InetAddress.getAddressFromNameService(InetAddress.java:1236) ~[?:1.6.0_65]
    
    at java.net.InetAddress.getAllByName0(InetAddress.java:1187) ~[?:1.6.0_65]
    
    at java.net.InetAddress.getAllByName(InetAddress.java:1117) ~[?:1.6.0_65]
    
    at java.net.InetAddress.getAllByName(InetAddress.java:1053) ~[?:1.6.0_65]
    
    at java.net.InetAddress.getByName(InetAddress.java:1003) ~[?:1.6.0_65]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:162) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    [18:45:07 INFO]: Stopping server
    (i already found my ip and put it in the server.properties)

    how do i make it that my friends can join iv looked aroud the treads but couldn't find a awnser
     
    Last edited by a moderator: Feb 11, 2017
  2. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 Don't put an IP in your server.properties
     
  3. Offline

    Big_guy9

    yes i found out what i did wrong i dodn't port forward but thx

    @timtower

    do you know why plugins won't work
    Code:
    Loading libraries, please wait...
    
    [12:11:04 INFO]: Starting minecraft server version 1.9
    
    [12:11:04 INFO]: Loading properties
    
    [12:11:04 INFO]: Default game type: SURVIVAL
    
    [12:11:04 INFO]: Generating keypair
    
    [12:11:04 INFO]: Starting Minecraft server on *:25565
    
    [12:11:04 INFO]: Using default channel type
    
    [12:11:05 INFO]: This server is running CraftBukkit version git-Bukkit-60f01ef (MC: 1.9) (Implementing API version 1.9-R0.1-SNAPSHOT)
    
    [12:11:05 ERROR]: Could not load 'plugins/CustomEnchantments.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/taiter/ce/Main : Unsupported major.minor version 51.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: com/taiter/ce/Main : Unsupported major.minor version 51.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [12:11:05 ERROR]: Could not load 'plugins/CEFix.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/solarshrieking/cefix/CEFix : Unsupported major.minor version 52.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: me/solarshrieking/cefix/CEFix : Unsupported major.minor version 52.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [12:11:05 INFO]: Preparing level "world"
    
    [12:11:06 INFO]: Preparing start region for level 0 (Seed: 3779140068829687038)
    
    [12:11:07 INFO]: Preparing spawn area: 2%
    
    [12:11:08 INFO]: Preparing spawn area: 20%
    
    [12:11:09 INFO]: Preparing spawn area: 40%
    
    [12:11:10 INFO]: Preparing spawn area: 60%
    
    [12:11:11 INFO]: Preparing spawn area: 88%
    
    [12:11:12 INFO]: Preparing start region for level 1 (Seed: 3779140068829687038)
    
    [12:11:13 INFO]: Preparing spawn area: 61%
    
    [12:11:13 INFO]: Preparing start region for level 2 (Seed: 3779140068829687038)
    
    [12:11:14 INFO]: Server permissions file permissions.yml is empty, ignoring it
    
    [12:11:14 INFO]: Done (3,930s)! For help, type "help" or "?"
    
    
    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Feb 12, 2017
  4. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 Install java 8, you are still running java 6 by the looks of it.
     
  5. Offline

    Big_guy9

    i have java 8 update 121 but it still doesnt work
    i have a photo of my plugins but when i start it still says

    Code:
    Loading libraries, please wait...
    
    [15:47:00 INFO]: Starting minecraft server version 1.9
    
    [15:47:00 INFO]: Loading properties
    
    [15:47:00 INFO]: Default game type: SURVIVAL
    
    [15:47:00 INFO]: Generating keypair
    
    [15:47:01 INFO]: Starting Minecraft server on *:25565
    
    [15:47:01 INFO]: Using default channel type
    
    [15:47:01 INFO]: This server is running CraftBukkit version git-Bukkit-60f01ef (MC: 1.9) (Implementing API version 1.9-R0.1-SNAPSHOT)
    
    [15:47:01 ERROR]: Could not load 'plugins/WorldEdit.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/sk89q/worldedit/bukkit/WorldEditPlugin : Unsupported major.minor version 51.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: com/sk89q/worldedit/bukkit/WorldEditPlugin : Unsupported major.minor version 51.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [15:47:01 ERROR]: Could not load 'plugins/CustomEnchantments.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/taiter/ce/Main : Unsupported major.minor version 51.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: com/taiter/ce/Main : Unsupported major.minor version 51.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [15:47:01 ERROR]: Could not load 'plugins/CEFix.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/solarshrieking/cefix/CEFix : Unsupported major.minor version 52.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: me/solarshrieking/cefix/CEFix : Unsupported major.minor version 52.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [15:47:01 INFO]: Preparing level "world"
    
    [15:47:01 INFO]: Preparing start region for level 0 (Seed: 3779140068829687038)
    
    [15:47:02 INFO]: Preparing spawn area: 13%
    
    [15:47:03 INFO]: Preparing spawn area: 76%
    
    [15:47:04 INFO]: Preparing start region for level 1 (Seed: 3779140068829687038)
    
    [15:47:05 INFO]: Preparing spawn area: 91%
    
    [15:47:05 INFO]: Preparing start region for level 2 (Seed: 3779140068829687038)
    
    [15:47:05 INFO]: Server permissions file permissions.yml is empty, ignoring it
    
    [15:47:05 INFO]: Done (4,262s)! For help, type "help" or "?"
    
    and this are my server properties anything that needs to be changed?

    Code:
    #Minecraft server properties
    #Sun Feb 12 15:47:01 CET 2017
    max-tick-time=60000
    generator-settings=
    force-gamemode=false
    allow-nether=true
    gamemode=0
    broadcast-console-to-ops=true
    enable-query=false
    player-idle-timeout=0
    difficulty=1
    spawn-monsters=true
    op-permission-level=4
    announce-player-achievements=true
    pvp=true
    snooper-enabled=true
    level-type=DEFAULT
    hardcore=false
    enable-command-block=false
    max-players=5000
    network-compression-threshold=256
    resource-pack-sha1=
    max-world-size=29999984
    server-port=25565
    server-ip=
    spawn-npcs=true
    allow-flight=false
    level-name=world
    view-distance=10
    resource-pack=
    spawn-animals=true
    white-list=true
    generate-structures=true
    online-mode=true
    max-build-height=256
    level-seed=
    motd=A Minecraft Server
    enable-rcon=false
     

    Attached Files:

    Last edited by a moderator: Feb 12, 2017
  6. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 Then you need to remove java 6
     
  7. Offline

    Big_guy9

    i don't hava java 6 anymore but it still won't work
     
  8. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 Log says that you do though.
    This is a Java issue, probably due to your mac OS.
     
  9. Offline

    Big_guy9

    but it sais im running java 8 update 121
     

    Attached Files:

  10. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 And your server is running through java 6.
    Mac and Java are not a fun combination commonly.
     
  11. Offline

    Big_guy9

    Code:
    [16:47:21 INFO]: Starting minecraft server version 1.9
    
    [16:47:21 INFO]: Loading properties
    
    [16:47:21 INFO]: Default game type: SURVIVAL
    
    [16:47:21 INFO]: Generating keypair
    
    [16:47:22 INFO]: Starting Minecraft server on *:25565
    
    [16:47:22 INFO]: Using default channel type
    
    [16:47:22 INFO]: This server is running CraftBukkit version git-Bukkit-60f01ef (MC: 1.9) (Implementing API version 1.9-R0.1-SNAPSHOT)
    
    [16:47:22 ERROR]: Could not load 'plugins/WorldEdit.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/sk89q/worldedit/bukkit/WorldEditPlugin : Unsupported major.minor version 51.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: com/sk89q/worldedit/bukkit/WorldEditPlugin : Unsupported major.minor version 51.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [16:47:22 ERROR]: Could not load 'plugins/CustomEnchantments.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: com/taiter/ce/Main : Unsupported major.minor version 51.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: com/taiter/ce/Main : Unsupported major.minor version 51.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [16:47:22 ERROR]: Could not load 'plugins/CEFix.jar' in folder 'plugins'
    
    org.bukkit.plugin.InvalidPluginException: java.lang.UnsupportedClassVersionError: me/solarshrieking/cefix/CEFix : Unsupported major.minor version 52.0
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:133) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:328) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.loadPlugins(CraftServer.java:293) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.craftbukkit.v1_9_R1.CraftServer.<init>(CraftServer.java:255) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.PlayerList.<init>(PlayerList.java:69) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedPlayerList.<init>(SourceFile:14) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.DedicatedServer.init(DedicatedServer.java:182) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at net.minecraft.server.v1_9_R1.MinecraftServer.run(MinecraftServer.java:506) [craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.Thread.run(Thread.java:695) [?:1.6.0_65]
    
    Caused by: java.lang.UnsupportedClassVersionError: me/solarshrieking/cefix/CEFix : Unsupported major.minor version 52.0
    
    at java.lang.ClassLoader.defineClass1(Native Method) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.defineClass(ClassLoader.java:621) ~[?:1.6.0_65]
    
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.access$000(URLClassLoader.java:58) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader$1.run(URLClassLoader.java:197) ~[?:1.6.0_65]
    
    at java.security.AccessController.doPrivileged(Native Method) ~[?:1.6.0_65]
    
    at java.net.URLClassLoader.findClass(URLClassLoader.java:190) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:77) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:62) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:306) ~[?:1.6.0_65]
    
    at java.lang.ClassLoader.loadClass(ClassLoader.java:247) ~[?:1.6.0_65]
    
    at java.lang.Class.forName0(Native Method) ~[?:1.6.0_65]
    
    at java.lang.Class.forName(Class.java:249) ~[?:1.6.0_65]
    
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:40) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:129) ~[craftbukkit.jar:git-Bukkit-60f01ef]
    
    ... 9 more
    
    [16:47:22 INFO]: Preparing level "world"
    
    [16:47:22 INFO]: Preparing start region for level 0 (Seed: 3779140068829687038)
    
    [16:47:23 INFO]: Preparing spawn area: 14%
    
    [16:47:24 INFO]: Preparing spawn area: 75%
    
    [16:47:25 INFO]: Preparing start region for level 1 (Seed: 3779140068829687038)
    
    [16:47:26 INFO]: Preparing spawn area: 91%
    
    [16:47:26 INFO]: Preparing start region for level 2 (Seed: 3779140068829687038)
    
    [16:47:26 INFO]: Server permissions file permissions.yml is empty, ignoring it
    
    [16:47:26 INFO]: Done (4,320s)! For help, type "help" or "?"
    
    do i need to add something here? or in permissions because that is empty?
     
    Last edited by a moderator: Feb 12, 2017
  12. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 It has nothing to do with the server itself.
    It is your machine not wanting to run java 8
     
  13. Offline

    Big_guy9

    how do i fix that problem?
     
  14. Offline

    timtower Administrator Administrator Moderator

    @Big_guy9 You find somebody that knows how to fix java issues on a mac.
    We can't do that for you.
     
  15. Offline

    Big_guy9

Thread Status:
Not open for further replies.

Share This Page